about summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-05-18 15:09:53 -0400
committerJune McEnroe <june@causal.agency>2020-05-18 15:09:53 -0400
commit9fec39ad5150620414a9fed92617703e1002f906 (patch)
tree9ff790ff6252da54351f836b1271527f03059882
parentUpdate email addresses (diff)
downloadpounce-9fec39ad5150620414a9fed92617703e1002f906.tar.gz
pounce-9fec39ad5150620414a9fed92617703e1002f906.zip
Template rc scripts with %%PREFIX%%
The way that the ports tree does it.
-rw-r--r--.gitignore2
-rw-r--r--Makefile7
-rw-r--r--rc.d/calico.in (renamed from rc.d/calico)2
-rw-r--r--rc.d/pounce.in (renamed from rc.d/pounce)6
4 files changed, 12 insertions, 5 deletions
diff --git a/.gitignore b/.gitignore
index c7ce8fe..9d34433 100644
--- a/.gitignore
+++ b/.gitignore
@@ -5,4 +5,6 @@
 config.mk
 localhost.crt
 localhost.key
+rc.d/calico
+rc.d/pounce
 tags
diff --git a/Makefile b/Makefile
index 23053ff..e6e5849 100644
--- a/Makefile
+++ b/Makefile
@@ -34,11 +34,16 @@ ${OBJS}: bounce.h compat.h
 
 dispatch.o: compat.h
 
+.SUFFIXES: .in
+
+.in:
+	sed -e 's|%%PREFIX%%|${PREFIX}|g' $< > $@
+
 tags: *.c *.h
 	ctags -w *.c *.h
 
 clean:
-	rm -f tags ${BINS} ${OBJS} dispatch.o
+	rm -f tags ${BINS} ${RCS} ${OBJS} dispatch.o
 
 install: ${BINS} ${MANS} ${RCS}
 	install -d ${PREFIX}/bin ${MANDIR}/man1
diff --git a/rc.d/calico b/rc.d/calico.in
index 32c21d8..a54658a 100644
--- a/rc.d/calico
+++ b/rc.d/calico.in
@@ -16,7 +16,7 @@ load_rc_config "${name}"
 calico_flags="${calico_flags} ${calico_path}"
 
 command='/usr/sbin/daemon'
-procname='/usr/local/bin/calico'
+procname='%%PREFIX%%/bin/calico'
 pidfile="/var/run/${name}.pid"
 required_dirs=$calico_path
 
diff --git a/rc.d/pounce b/rc.d/pounce.in
index 9777fda..99ed016 100644
--- a/rc.d/pounce
+++ b/rc.d/pounce.in
@@ -14,14 +14,14 @@ sig_reload='USR1'
 load_rc_config "${name}"
 
 : ${pounce_enable:='NO'}
-: ${pounce_chdir:="/usr/local/etc/${name}"}
+: ${pounce_chdir:="%%PREFIX%%/etc/${name}"}
 
 command='/usr/sbin/daemon'
 pidprefix="/var/run/${name}"
 pidfile="${pidprefix}.pid"
 required_dirs=$pounce_chdir
 
-child_command='/usr/local/bin/pounce'
+child_command='%%PREFIX%%/bin/pounce'
 child_pidfile="${pidprefix}.child.pid"
 
 if [ -n "$2" ]; then
@@ -40,7 +40,7 @@ else
 	if [ -n "${pounce_profiles}" -a -n "$1" ]; then
 		for profile in ${pounce_profiles}; do
 			echo "===> ${name} profile: ${profile}"
-			/usr/local/etc/rc.d/${name} "$1" "${profile}" || exit "$?"
+			%%PREFIX%%/etc/rc.d/${name} "$1" "${profile}" || exit "$?"
 		done
 		exit
 	fi